import {parse} from "next-useragent";
import ReportComponent from "@/components/dashboard/machinary-office/Prints/report";

export default function Report() {
    return (
        <ReportComponent/>
    )
}

export async function getServerSideProps({req, locale}) {
    const {isBot} = parse(req.headers["user-agent"]);
    return {
        props: {
            messages: (await import(`&/locales/${locale}/app.json`)).default,
            title: "Dashboard.machinary_office_page",
            isBot,
            locale,
            layout: {name: 'PrintLayout'}
        },
    };
}